"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var webpack_1 = require("webpack");
var path_1 = require("path");
var fs_1 = require("fs");
function getWebpackConfig(production) {
    var webpackConfigPath = path_1.resolve(process.cwd(), "./webpack.config.js");
    if (fs_1.existsSync(webpackConfigPath)) {
        return __assign(__assign({}, require(webpackConfigPath)), (production ? { mode: "production" } : {}));
    }
    else {
        var defaultConfig = webpack_1.config.getNormalizedWebpackOptions({
            mode: production ? "production" : "development",
        });
        webpack_1.config.applyWebpackOptionsDefaults(defaultConfig);
        return defaultConfig;
    }
}
exports.default = getWebpackConfig;
