#!/usr/bin/env node

"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var commander_1 = require("commander");
var build_1 = __importDefault(require("./cli/build"));
var serve_1 = __importDefault(require("./cli/serve"));
commander_1.program
    .command("serve")
    .description("Run webpack and automatically upload generated assets to Dataverse.")
    .action(serve_1.default);
commander_1.program
    .command("build")
    .description("Run webpack generating local assets (written to the portal contents folder).")
    .option("-p, --production", 'Override webpack "mode", setting it to "production".')
    .action(build_1.default);
commander_1.program.parse();
