"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var escape_string_regexp_1 = __importDefault(require("escape-string-regexp"));
var find_1 = require("find");
var path_1 = require("path");
function findFile(path) {
    var parts = path.split(/[/\\]/);
    var fileName = escape_string_regexp_1.default(parts.pop());
    if (parts[0] !== ".") {
        parts.unshift(".");
    }
    var folderPath = path_1.join.apply(void 0, parts);
    var files = find_1.fileSync(new RegExp("^(.*[/\\\\])?" + fileName + "$", "i"), folderPath);
    if (files.length === 0) {
        throw new Error("Could not find file: " + path);
    }
    else if (files.length > 1) {
        throw new Error("Found multiple files with path: " + path);
    }
    else {
        return files[0];
    }
}
exports.default = findFile;
